SoPointSizeElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoPointSizeElement Class Reference
Element Classes

The SoPointSizeElement changes the pointsize setting of the render state.Requests from the scenegraph to change the pointsize when rendering point primitives will be made through this element. More...

`#include <Inventor/elements/SoPointSizeElement.h>`

Inheritance diagram for SoPointSizeElement:

## Public Member Functions
virtual void | init (SoState *state)
Public Member Functions inherited from SoFloatElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
virtual void | setElt (float value)
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const float pointSize)
static void | set (SoState *const state, const float pointSize)
static float | get (SoState *const state)
static float | getDefault ()
Static Public Member Functions inherited from SoFloatElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
static void | set (const int stackIndex, SoState *const state, const float value)
static float | get (const int stackIndex, SoState *const state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoPointSizeElement ()
Protected Member Functions inherited from SoFloatElement
virtual | ~SoFloatElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoFloatElement
float | data
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoPointSizeElement changes the pointsize setting of the render state.

Requests from the scenegraph to change the pointsize when rendering point primitives will be made through this element.

The SoPointSizeElement class itself is just a generic abstraction for the underlying So*PointSizeElement classes with code specific for each supported immediate mode rendering library.

## Constructor & Destructor Documentation

SoPointSizeElement::~SoPointSizeElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

void * SoPointSizeElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoPointSizeElement::init | ( | SoState * | state | ) |
| virtual

This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoFloatElement.

Reimplemented in SoGLPointSizeElement.

void SoPointSizeElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const float | pointSize
| ) |  |
| static

Static method for setting the current pointSize value in the given traversal state.

void SoPointSizeElement::set | ( | SoState *const | state,
|  | const float | pointSize
| ) |  |
| static

Static method for setting the current pointSize value in the given traversal state.

float SoPointSizeElement::get | ( | SoState *const | state | ) |
| static

Static method for returning the current pointsize setting in the given traversal state.

float SoPointSizeElement::getDefault | ( | void |  | ) |
| static

Returns default pointsize setting.

The documentation for this class was generated from the following files:

- SoPointSizeElement.h
- SoPointSizeElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.